Get token USD price
curl --request GET \
--url https://api.hydric.org/v1/tokens/prices/{chainId}/{tokenAddress}/usd \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hydric.org/v1/tokens/prices/{chainId}/{tokenAddress}/usd"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hydric.org/v1/tokens/prices/{chainId}/{tokenAddress}/usd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"price": 2543.21
}{
"statusCode": 404,
"timestamp": "2026-02-28T19:40:59.635Z",
"path": "/tokens/prices/1/0x0000000000000000000000000000000000000001/usd",
"traceId": "doc_sample_trace_id",
"error": {
"code": "TOKEN_NOT_FOUND",
"title": "Not Found",
"message": "Couldn't find the specified token at the specified chain",
"details": "Token with address '0x0000000000000000000000000000000000000001' at chain id '1' not found",
"metadata": {
"tokenAddress": "0x0000000000000000000000000000000000000001",
"chainId": 1
}
}
}Token Prices
Get token USD price
Returns the current USD price of a token on a specific chain. If the zero address is provided, it returns the native token price (with wrapped native fallback).
GET
/
v1
/
tokens
/
prices
/
{chainId}
/
{tokenAddress}
/
usd
Get token USD price
Authorizations
Use the docs sandbox API key for authentication: hydric_docs_4N4ocuirsN8Sh
Path Parameters
The numeric ID of the blockchain where the token resides.
Available options:
1, 143, 130, 999, 8453, 9745, 534352 Example:
1
The Token contract address.
Example:
"0x2260fac5e5542a773aa44fbcfedf7c193bc2c599"
Response
The requested token USD price.
Response object containing the current price of the requested token.
The current price of the token.
Example:
2543.21
Was this page helpful?
⌘I